Bug 22631 - Make links on barcode on hold summary page consistent (bug 21070)
Summary: Make links on barcode on hold summary page consistent (bug 21070)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 21070
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-03 19:25 UTC by Katrin Fischer
Modified: 2019-04-15 17:44 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22631: Make links on barcode on hold summary page consistent (bug 21070) (1.83 KB, patch)
2019-04-03 19:32 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22631: Make links on barcode on hold summary page consistent (bug 21070) (1.87 KB, patch)
2019-04-04 12:10 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22631: Make links on barcode on hold summary page consistent (bug 21070) (1.92 KB, patch)
2019-04-05 17:47 UTC, Bin
Details | Diff | Splinter Review
Bug 22631: Make links on barcode on hold summary page consistent (bug 21070) (1.99 KB, patch)
2019-04-08 11:46 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-04-03 19:25:26 UTC
Bug 21070 changed the link on the holds summary so the barcode would link to the item on moredetail for an item level hold.

If a hold is already waiting, the link still goes to the detail page of the record.
Comment 1 Katrin Fischer 2019-04-03 19:32:03 UTC
Created attachment 87371 [details] [review]
Bug 22631: Make links on barcode on hold summary page consistent (bug 21070)

Bug 21070 changed the link on the holds summary so the barcode
would link to the item on moredetail for an item level hold.

If a hold is already waiting, the link still goes to the detail
page of the record. This patch changes it so the barcode always
links to the item.

To test:
- Place some item level holds on a record
- Verify the barcodes on the hold summary page link to
  moredetail.pl
- Return one of the items so that the hold is waiting
- Verify the barcode links to the record detail page now
- Apply patch
- Verify barcodes for pending and waiting holds now both
  link to moredetail.pl
Comment 2 Owen Leonard 2019-04-04 12:10:49 UTC
Created attachment 87408 [details] [review]
Bug 22631: Make links on barcode on hold summary page consistent (bug 21070)

Bug 21070 changed the link on the holds summary so the barcode
would link to the item on moredetail for an item level hold.

If a hold is already waiting, the link still goes to the detail
page of the record. This patch changes it so the barcode always
links to the item.

To test:
- Place some item level holds on a record
- Verify the barcodes on the hold summary page link to
  moredetail.pl
- Return one of the items so that the hold is waiting
- Verify the barcode links to the record detail page now
- Apply patch
- Verify barcodes for pending and waiting holds now both
  link to moredetail.pl

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Bin 2019-04-05 17:47:07 UTC
Created attachment 87453 [details] [review]
Bug 22631: Make links on barcode on hold summary page consistent (bug 21070)

Bug 21070 changed the link on the holds summary so the barcode
would link to the item on moredetail for an item level hold.

If a hold is already waiting, the link still goes to the detail
page of the record. This patch changes it so the barcode always
links to the item.

To test:
- Place some item level holds on a record
- Verify the barcodes on the hold summary page link to
  moredetail.pl
- Return one of the items so that the hold is waiting
- Verify the barcode links to the record detail page now
- Apply patch
- Verify barcodes for pending and waiting holds now both
  link to moredetail.pl

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Comment 4 Martin Renvoize 2019-04-08 11:46:52 UTC
Created attachment 87506 [details] [review]
Bug 22631: Make links on barcode on hold summary page consistent (bug 21070)

Bug 21070 changed the link on the holds summary so the barcode
would link to the item on moredetail for an item level hold.

If a hold is already waiting, the link still goes to the detail
page of the record. This patch changes it so the barcode always
links to the item.

To test:
- Place some item level holds on a record
- Verify the barcodes on the hold summary page link to
  moredetail.pl
- Return one of the items so that the hold is waiting
- Verify the barcode links to the record detail page now
- Apply patch
- Verify barcodes for pending and waiting holds now both
  link to moredetail.pl

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2019-04-08 11:47:16 UTC
Nice fix, no regressions.. PQA
Comment 6 Nick Clemens 2019-04-11 13:58:21 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-04-15 17:44:57 UTC
Enhancement, will not be backported to 18.11.x series.